%define		pkgname facter
Summary:	Ruby module for collecting simple facts about a host operating system
Name:		ruby-%{pkgname}
Version:	1.6.18
Release:	3
License:	GPL v2+
Group:		Development/Languages
Source0:	http://downloads.puppetlabs.com/%{pkgname}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	c209df5909ccd4112c19cf4b535027a7
URL:		http://puppetlabs.com/puppet/related-projects/facter/
BuildRequires:	docutils
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	net-tools
Requires:	which
# dmidecode and pciutils are not available on all arches
%ifarch %{ix86} %{x8664} ia64
Requires:	dmidecode
Requires:	pciutils
%endif
Obsoletes:	facter < 1.5.9
# due arch specific dependencies
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of arch dependant requires
%define		_enable_debug_packages	0

%description
Facter is a lightweight program that gathers basic node information
about the hardware and operating system. Facter is especially useful
for retrieving things like operating system names, hardware
characteristics, IP addresses, MAC addresses, and SSH keys.

Facter is extensible and allows gathering of node information that may
be custom or site specific. It is easy to extend by including your own
custom facts. Facter can also be used to create conditional
expressions in Puppet that key off the values returned by facts.

%prep
%setup -q -n %{pkgname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_sitelibdir}
%{__ruby} install.rb \
	--quick \
	--no-man \
	--no-rdoc \
	--sitelibdir=%{ruby_vendorlibdir} \
	--destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md etc/facter.conf
%attr(755,root,root) %{_bindir}/facter
%{ruby_vendorlibdir}/facter
%{ruby_vendorlibdir}/facter.rb
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-facter.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 02d4e3f
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Wed May 01 2013 Elan Ruusamäe <glen@delfi.ee> 6bfcb6e
- disable debuginfo subpackage

* Wed May 01 2013 Elan Ruusamäe <glen@delfi.ee> f98bba4
- rel 2

* Wed May 01 2013 Elan Ruusamäe <glen@delfi.ee> dd539fc
- install to vendor dir

* Sat Mar 23 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 50d7f27
- up to 1.6.18

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> f01a134
- up to 1.6.6

* Mon May 09 2011 Elan Ruusamäe <glen@pld-linux.org> 7c74133
- renamed to ruby-facter, desc/summary from fedora

* Sat Apr 30 2011 aredridel <aredridel@pld-linux.org> 9a2e33d
- 1.5.9rc1
- works with ruby 1.9

* Wed Dec 03 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 879f779
- initial

